<?php
function thememove_get_color_schemes() {
	return apply_filters( 'thememove_color_schemes', array(
		'scheme1'  => array(
			'label'  => esc_html__( 'Color Scheme for Header Preset 01', 'structure' ),
			'colors' => array(
				'#FFB600',//primary_color==========================0
				'#1B273D',//secondary_color========================1
				'#111111',//heading_color==========================2
				'#111111',//site_link_color========================3
				'#FFB600',//site_hover_link_color==================4
				'#f5f5f5',//body_bg_color==========================5
				'#999999',//body_text_color========================6
				'#ffffff',//header_bg_color========================7
				'#999999',//header_text_color======================8
				'#A3A8B2',//header_top_area_link_color=============9
				'#FFB600',//header_top_area_hover_link_color======10
				'#A3A8B2',//header_top_area_text_color============11
				'#ffffff',//menu_bg_color=========================12
				'#999999',//menu_text_color=======================13
				'#FFB600',//menu_text_color_hover=================14
				'#f7f7f7',//sub_menu_bg_color=====================15
				'#1B273D',//footer_bg_color=======================16
				'#888888',//footer_text_color=====================17
				'#BABFC5',//footer_link_color=====================18
				'#FFB600',//footer_hover_link_color===============19
				'#f7f7f7',//footer_border_color===================20
				'#1B273D',//header_top_area_bg_color==============21
				'#ffffff',//footer_heading_color==================22
				'#FFB600',//copyright_bg_color====================23
				'#ffffff',//copyright_color=======================24
				'#ffffff',//menu_border_right_color===============25
				'',//menu_border_top_color=================26
				'',//menu_border_bottom_color==============27
				'#111111',//mobile_menu_toggle_color==============28
				'#ffffff',//copyright_link_color==================29
				'#111111',//copyright_link_color_hover============30
				'#999999',//search_color==========================31
				'#999999',//cart_button_color=====================32
				'#FFB600',//cart_number_bg_color==================33
				'#ffffff',//cart_number_color=====================34
			),
		),
		'scheme2'  => array(
			'label'  => esc_html__( 'Color Scheme for Header Preset 02', 'structure' ),
			'colors' => array(
				'#FFB600',//primary_color==========================0
				'#1B273D',//secondary_color========================1
				'#111111',//heading_color==========================2
				'#111111',//site_link_color========================3
				'#FFB600',//site_hover_link_color==================4
				'#f5f5f5',//body_bg_color==========================5
				'#999999',//body_text_color========================6
				'#263247',//header_bg_color========================7
				'#999999',//header_text_color======================8
				'#A3A8B2',//header_top_area_link_color=============9
				'#FFB600',//header_top_area_hover_link_color======10
				'#A3A8B2',//header_top_area_text_color============11
				'#FFB600',//menu_bg_color=========================12
				'#111111',//menu_text_color=======================13
				'#ffffff',//menu_text_color_hover=================14
				'#f7f7f7',//sub_menu_bg_color=====================15
				'#1B273D',//footer_bg_color=======================16
				'#888888',//footer_text_color=====================17
				'#BABFC5',//footer_link_color=====================18
				'#FFB600',//footer_hover_link_color===============19
				'#f7f7f7',//footer_border_color===================20
				'#1B273D',//header_top_area_bg_color==============21
				'#ffffff',//footer_heading_color==================22
				'#FFB600',//copyright_bg_color====================23
				'#ffffff',//copyright_color=======================24
				'#E5A300',//menu_border_right_color===============25
				'',//menu_border_top_color=================26
				'#D4951A',//menu_border_bottom_color==============27
				'#ffffff',//mobile_menu_toggle_color==============28
				'#ffffff',//copyright_link_color==================29
				'#111111',//copyright_link_color_hover============30
				'#ffffff',//search_color==========================31
				'#ffffff',//cart_button_color=====================32
				'#FFB600',//cart_number_bg_color==================33
				'#ffffff',//cart_number_color=====================34
			),
		),
		'scheme3'  => array(
			'label'  => esc_html__( 'Color Scheme for Header Preset 03', 'structure' ),
			'colors' => array(
				'#FFB600',//primary_color==========================0
				'#1B273D',//secondary_color========================1
				'#111111',//heading_color==========================2
				'#111111',//site_link_color========================3
				'#FFB600',//site_hover_link_color==================4
				'#f5f5f5',//body_bg_color==========================5
				'#999999',//body_text_color========================6
				'#ffffff',//header_bg_color========================7
				'#111111',//header_text_color======================8
				'#888888',//header_top_area_link_color=============9
				'#FFB600',//header_top_area_hover_link_color======10
				'#888888',//header_top_area_text_color============11
				'#1B273D',//menu_bg_color=========================12
				'#ffffff',//menu_text_color=======================13
				'#ffffff',//menu_text_color_hover=================14
				'#f7f7f7',//sub_menu_bg_color=====================15
				'#1B273D',//footer_bg_color=======================16
				'#888888',//footer_text_color=====================17
				'#BABFC5',//footer_link_color=====================18
				'#FFB600',//footer_hover_link_color===============19
				'#f7f7f7',//footer_border_color===================20
				'#eeeeee',//header_top_area_bg_color==============21
				'#ffffff',//footer_heading_color==================22
				'#FFB600',//copyright_bg_color====================23
				'#ffffff',//copyright_color=======================24
				'#3D475A',//menu_border_right_color===============25
				'#FFB600',//menu_border_top_color=================26
				'',//menu_border_bottom_color==============27
				'#1B273D',//mobile_menu_toggle_color==============28
				'#ffffff',//copyright_link_color==================29
				'#111111',//copyright_link_color_hover============30
				'#111111',//search_color==========================31
				'#111111',//cart_button_color=====================32
				'#FFB600',//cart_number_bg_color==================33
				'#ffffff',//cart_number_color=====================34
			),
		),
		'scheme4'  => array(
			'label'  => esc_html__( 'Color Scheme for Header Preset 04', 'structure' ),
			'colors' => array(
				'#FFB600',//primary_color==========================0
				'#1B273D',//secondary_color========================1
				'#111111',//heading_color==========================2
				'#111111',//site_link_color========================3
				'#FFB600',//site_hover_link_color==================4
				'#f5f5f5',//body_bg_color==========================5
				'#999999',//body_text_color========================6
				'#ffffff',//header_bg_color========================7
				'#999999',//header_text_color======================8
				'#888888',//header_top_area_link_color=============9
				'#FFB600',//header_top_area_hover_link_color======10
				'#A3A8B2',//header_top_area_text_color============11
				'#ffffff',//menu_bg_color=========================12
				'#999999',//menu_text_color=======================13
				'#FFB600',//menu_text_color_hover=================14
				'#f7f7f7',//sub_menu_bg_color=====================15
				'#1B273D',//footer_bg_color=======================16
				'#888888',//footer_text_color=====================17
				'#BABFC5',//footer_link_color=====================18
				'#FFB600',//footer_hover_link_color===============19
				'#f7f7f7',//footer_border_color===================20
				'#1B273D',//header_top_area_bg_color==============21
				'#ffffff',//footer_heading_color==================22
				'#FFB600',//copyright_bg_color====================23
				'#ffffff',//copyright_color=======================24
				'#ffffff',//menu_border_right_color===============25
				'',//menu_border_top_color=================26
				'',//menu_border_bottom_color==============27
				'#111111',//mobile_menu_toggle_color==============28
				'#ffffff',//copyright_link_color==================29
				'#111111',//copyright_link_color_hover============30
				'#ffffff',//search_color==========================31
				'#ffffff',//cart_button_color=====================32
				'#111111',//cart_number_bg_color==================33
				'#ffffff',//cart_number_color=====================34
			),
		),
		'scheme5'  => array(
			'label'  => esc_html__( 'Color Scheme for Header Preset 05', 'structure' ),
			'colors' => array(
				'#FFB600',//primary_color==========================0
				'#1B273D',//secondary_color========================1
				'#111111',//heading_color==========================2
				'#111111',//site_link_color========================3
				'#FFB600',//site_hover_link_color==================4
				'#f5f5f5',//body_bg_color==========================5
				'#999999',//body_text_color========================6
				'#ffffff',//header_bg_color========================7
				'#111111',//header_text_color======================8
				'#888888',//header_top_area_link_color=============9
				'#FFB600',//header_top_area_hover_link_color======10
				'#888888',//header_top_area_text_color============11
				'#1B273D',//menu_bg_color=========================12
				'#ffffff',//menu_text_color=======================13
				'#ffffff',//menu_text_color_hover=================14
				'#f7f7f7',//sub_menu_bg_color=====================15
				'#1B273D',//footer_bg_color=======================16
				'#888888',//footer_text_color=====================17
				'#BABFC5',//footer_link_color=====================18
				'#FFB600',//footer_hover_link_color===============19
				'#f7f7f7',//footer_border_color===================20
				'#eeeeee',//header_top_area_bg_color==============21
				'#ffffff',//footer_heading_color==================22
				'#FFB600',//copyright_bg_color====================23
				'#ffffff',//copyright_color=======================24
				'#3D475A',//menu_border_right_color===============25
				'#FFB600',//menu_border_top_color=================26
				'',//menu_border_bottom_color==============27
				'#1B273D',//mobile_menu_toggle_color==============28
				'#ffffff',//copyright_link_color==================29
				'#111111',//copyright_link_color_hover============30
				'#111111',//search_color==========================31
				'#111111',//cart_button_color=====================32
				'#FFB600',//cart_number_bg_color==================33
				'#ffffff',//cart_number_color=====================34
			),
		),
		'scheme6'  => array(
			'label'  => esc_html__( 'Color Scheme for Header Preset 06', 'structure' ),
			'colors' => array(
				'#FFB600',//primary_color==========================0
				'#1B273D',//secondary_color========================1
				'#111111',//heading_color==========================2
				'#111111',//site_link_color========================3
				'#FFB600',//site_hover_link_color==================4
				'#f5f5f5',//body_bg_color==========================5
				'#999999',//body_text_color========================6
				'#1B273D',//header_bg_color========================7
				'#111111',//header_text_color======================8
				'#1B273D',//header_top_area_link_color=============9
				'#FFB600',//header_top_area_hover_link_color======10
				'#888888',//header_top_area_text_color============11
				'#1B273D',//menu_bg_color=========================12
				'#ffffff',//menu_text_color=======================13
				'#ffffff',//menu_text_color_hover=================14
				'#f7f7f7',//sub_menu_bg_color=====================15
				'#1B273D',//footer_bg_color=======================16
				'#888888',//footer_text_color=====================17
				'#BABFC5',//footer_link_color=====================18
				'#FFB600',//footer_hover_link_color===============19
				'#f7f7f7',//footer_border_color===================20
				'#eeeeee',//header_top_area_bg_color==============21
				'#ffffff',//footer_heading_color==================22
				'#FFB600',//copyright_bg_color====================23
				'#ffffff',//copyright_color=======================24
				'#3D475A',//menu_border_right_color===============25
				'#FFB600',//menu_border_top_color=================26
				'',//menu_border_bottom_color==============27
				'#ffffff',//mobile_menu_toggle_color==============28
				'#ffffff',//copyright_link_color==================29
				'#111111',//copyright_link_color_hover============30
				'#ffffff',//search_color==========================31
				'#ffffff',//cart_button_color=====================32
				'#FFB600',//cart_number_bg_color==================33
				'#ffffff',//cart_number_color=====================34
			),
		),
		'scheme7'  => array(
			'label'  => esc_html__( 'Color Scheme for Header Preset 07', 'structure' ),
			'colors' => array(
				'#FFB600',//primary_color==========================0
				'#1B273D',//secondary_color========================1
				'#111111',//heading_color==========================2
				'#111111',//site_link_color========================3
				'#FFB600',//site_hover_link_color==================4
				'#f5f5f5',//body_bg_color==========================5
				'#999999',//body_text_color========================6
				'#ffffff',//header_bg_color========================7
				'#999999',//header_text_color======================8
				'#A3A8B2',//header_top_area_link_color=============9
				'#FFB600',//header_top_area_hover_link_color======10
				'#A3A8B2',//header_top_area_text_color============11
				'#ffffff',//menu_bg_color=========================12
				'#999999',//menu_text_color=======================13
				'#FFB600',//menu_text_color_hover=================14
				'#f7f7f7',//sub_menu_bg_color=====================15
				'#1B273D',//footer_bg_color=======================16
				'#888888',//footer_text_color=====================17
				'#BABFC5',//footer_link_color=====================18
				'#FFB600',//footer_hover_link_color===============19
				'#f7f7f7',//footer_border_color===================20
				'#eeeeee',//header_top_area_bg_color==============21
				'#ffffff',//footer_heading_color==================22
				'#FFB600',//copyright_bg_color====================23
				'#ffffff',//copyright_color=======================24
				'#ffffff',//menu_border_right_color===============25
				'',//menu_border_top_color=================26
				'',//menu_border_bottom_color==============27
				'#111111',//mobile_menu_toggle_color==============28
				'#ffffff',//copyright_link_color==================29
				'#111111',//copyright_link_color_hover============30
				'#999999',//search_color==========================31
				'#999999',//cart_button_color=====================32
				'#FFB600',//cart_number_bg_color==================33
				'#ffffff',//cart_number_color=====================34
			),
		),
		'scheme8'  => array(
			'label'  => esc_html__( 'Color Scheme for Home V2 Default', 'structure' ),
			'colors' => array(
				'#FFB600',//primary_color==========================0
				'#1B273D',//secondary_color========================1
				'#111111',//heading_color==========================2
				'#111111',//site_link_color========================3
				'#FFB600',//site_hover_link_color==================4
				'#f5f5f5',//body_bg_color==========================5
				'#999999',//body_text_color========================6
				'#ffffff',//header_bg_color========================7
				'#999999',//header_text_color======================8
				'#888888',//header_top_area_link_color=============9
				'#FFB600',//header_top_area_hover_link_color======10
				'#888888',//header_top_area_text_color============11
				'#ffffff',//menu_bg_color=========================12
				'#999999',//menu_text_color=======================13
				'#FFB600',//menu_text_color_hover=================14
				'#f7f7f7',//sub_menu_bg_color=====================15
				'#1B273D',//footer_bg_color=======================16
				'#888888',//footer_text_color=====================17
				'#BABFC5',//footer_link_color=====================18
				'#FFB600',//footer_hover_link_color===============19
				'#f7f7f7',//footer_border_color===================20
				'#eeeeee',//header_top_area_bg_color==============21
				'#ffffff',//footer_heading_color==================22
				'#FFB600',//copyright_bg_color====================23
				'#ffffff',//copyright_color=======================24
				'#ffffff',//menu_border_right_color===============25
				'',//menu_border_top_color=================26
				'',//menu_border_bottom_color==============27
				'#111111',//mobile_menu_toggle_color==============28
				'#ffffff',//copyright_link_color==================29
				'#111111',//copyright_link_color_hover============30
				'#999999',//search_color==========================31
				'#999999',//cart_button_color=====================32
				'#FFB600',//cart_number_bg_color==================33
				'#ffffff',//cart_number_color=====================34
			),
		),
		'scheme9'  => array(
			'label'  => esc_html__( 'Color Scheme for Home V2 Black', 'structure' ),
			'colors' => array(
				'#FFB600',//primary_color==========================0
				'#1B273D',//secondary_color========================1
				'#111111',//heading_color==========================2
				'#111111',//site_link_color========================3
				'#FFB600',//site_hover_link_color==================4
				'#f5f5f5',//body_bg_color==========================5
				'#999999',//body_text_color========================6
				'#ffffff',//header_bg_color========================7
				'#999999',//header_text_color======================8
				'#888888',//header_top_area_link_color=============9
				'#FFB600',//header_top_area_hover_link_color======10
				'#888888',//header_top_area_text_color============11
				'#ffffff',//menu_bg_color=========================12
				'#999999',//menu_text_color=======================13
				'#FFB600',//menu_text_color_hover=================14
				'#f7f7f7',//sub_menu_bg_color=====================15
				'#111111',//footer_bg_color=======================16
				'#888888',//footer_text_color=====================17
				'#aaaaaa',//footer_link_color=====================18
				'#FFB600',//footer_hover_link_color===============19
				'#f7f7f7',//footer_border_color===================20
				'#eeeeee',//header_top_area_bg_color==============21
				'#ffffff',//footer_heading_color==================22
				'#222222',//copyright_bg_color====================23
				'#888888',//copyright_color=======================24
				'#ffffff',//menu_border_right_color===============25
				'',//menu_border_top_color=================26
				'',//menu_border_bottom_color==============27
				'#111111',//mobile_menu_toggle_color==============28
				'#888888',//copyright_link_color==================29
				'#111111',//copyright_link_color_hover============30
				'#999999',//search_color==========================31
				'#999999',//cart_button_color=====================32
				'#FFB600',//cart_number_bg_color==================33
				'#ffffff',//cart_number_color=====================34
			),
		),
		'scheme10' => array(
			'label'  => esc_html__( 'Color Scheme for Home V2 White', 'structure' ),
			'colors' => array(
				'#FFB600',//primary_color==========================0
				'#1B273D',//secondary_color========================1
				'#111111',//heading_color==========================2
				'#111111',//site_link_color========================3
				'#FFB600',//site_hover_link_color==================4
				'#f5f5f5',//body_bg_color==========================5
				'#999999',//body_text_color========================6
				'#ffffff',//header_bg_color========================7
				'#999999',//header_text_color======================8
				'#888888',//header_top_area_link_color=============9
				'#FFB600',//header_top_area_hover_link_color======10
				'#888888',//header_top_area_text_color============11
				'#ffffff',//menu_bg_color=========================12
				'#999999',//menu_text_color=======================13
				'#FFB600',//menu_text_color_hover=================14
				'#f7f7f7',//sub_menu_bg_color=====================15
				'#111111',//footer_bg_color=======================16
				'#888888',//footer_text_color=====================17
				'#aaaaaa',//footer_link_color=====================18
				'#FFB600',//footer_hover_link_color===============19
				'#f7f7f7',//footer_border_color===================20
				'#eeeeee',//header_top_area_bg_color==============21
				'#ffffff',//footer_heading_color==================22
				'#222222',//copyright_bg_color====================23
				'#aaaaaa',//copyright_color=======================24
				'#ffffff',//menu_border_right_color===============25
				'',//menu_border_top_color=================26
				'',//menu_border_bottom_color==============27
				'#111111',//mobile_menu_toggle_color==============28
				'#aaaaaa',//copyright_link_color==================29
				'#111111',//copyright_link_color_hover============30
				'#999999',//search_color==========================31
				'#999999',//cart_button_color=====================32
				'#FFB600',//cart_number_bg_color==================33
				'#ffffff',//cart_number_color=====================34
			),
		),
	) );
}

/**
 * ============================================================================
 * Create default settings for section: site settings
 * ============================================================================
 */

//Create default settings for section: site settings
define( 'box_mode_enable', 0 );
define( 'site_layout', 'content-sidebar' );
define( 'search_layout', 'content-sidebar' );
define( 'archive_layout', 'content-sidebar' );
define( 'enable_back_to_top', 1 );
define( 'enable_smooth_scroll', 1 );
define( 'custom_scrollbar_enable', 1 );
define( 'default_heading_image', 'http://structure.thememove.com/data/images/background06.jpg' );
define( 'favicon_image', 'http://structure.thememove.com/data/images/favicon.ico' );
define( 'apple_touch_icon', 'http://structure.thememove.com/data/images/apple_touch_icon.png' );

//Create default settings for section: site typography
define( 'body_font_family', 'Lato' );
define( 'body_font_size', 14 );
define( 'site_heading_font_family', 'Montserrat' );
define( 'site_h1_font_size', 32 );
define( 'site_h2_font_size', 24 );
define( 'site_h3_font_size', 18 );
define( 'site_h4_font_size', 16 );
define( 'site_h5_font_size', 15 );
define( 'site_h6_font_size', 12 );


/**
 * ============================================================================
 * Create default settings for section: nav
 * ============================================================================
 */
define( 'nav_padding_top_bottom', 45 );
define( 'nav_padding_left_right', 10 );

/**
 * ============================================================================
 * Create default settings for section: header settings
 * ============================================================================
 */

//Create default settings for section: header settings
define( 'header_preset', 'header-preset-01' );
define( 'header_top_enable', 1 );
define( 'header_sticky_enable', 0 );
define( 'header_search_enable', 0 );
define( 'header_cart_enable', 0 );
define( 'normal_logo_image', 'http://structure.thememove.com/data/images/logo2.png' );

/**
 * ============================================================================
 * Create default settings for section: footer settings
 * ============================================================================
 */

//Create default settings for section: footer settings
define( 'footer_uncovering_enable', 0 );
define( 'footer_copyright_enable', 1 );
define( 'copyright_text', esc_html__( 'Made with <i class="fas fa-heart"></i> by <a target="_blank" href="http://themeforest.net/item/structure-construction-business-wordpress-theme/10798442?ref=ThemeMove">ThemeMove.com</a>.', 'structure' ) );

/**
 * ============================================================================
 * Create default settings for section: custom settings
 * ============================================================================
 */

//Create default settings for custom css
define( 'custom_css_enable', 0 );

//Create default settings for custom js
define( 'custom_js_enable', 0 );

/**
 * ============================================================================
 * Create default settings for section: post settings
 * ============================================================================
 */
define( 'post_layout', 'content-sidebar' );
define( 'post_meta_enable', 1 );
define( 'post_feature_image_enable', 1 );
define( 'post_heading_text', '<span>Our</span> Blog' );
