<?php dynamic_sidebar( 'top-slider' ); ?>

<div class="header-wrapper">

	<?php
	global $thememove_header_top, $wc_thememove_header_top;
	if ( ( get_theme_mod( 'header_top_enable', header_top_enable ) || $thememove_header_top == 'enable' || $wc_thememove_header_top == 'enable' ) && $thememove_header_top != 'disable' && $wc_thememove_header_top != 'disable' ) {
		?>
		<div class="top-area">
			<div class="container">
				<div class="row">
					<?php if ( class_exists( 'SitePress' ) || class_exists( 'Polylang' ) ) { ?>
						<div class="col-md-7 hidden-xs hidden-sm">
							<?php dynamic_sidebar( 'top-area' ); ?>
						</div>
						<div class="col-md-2 col-xs-5">
							<?php dynamic_sidebar( 'lang-area' ); ?>
						</div>
						<div class="col-md-3 col-xs-7 social">
							<?php wp_nav_menu( array( 'theme_location' => 'social', 'fallback_cb' => false ) ); ?>
						</div>
					<?php } else { ?>
						<div class="col-md-9 hidden-xs hidden-sm">
							<?php dynamic_sidebar( 'top-area' ); ?>
						</div>
						<div class="col-md-3 col-xs-7 social">
							<?php wp_nav_menu( array( 'theme_location' => 'social', 'fallback_cb' => false ) ); ?>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	<?php } ?>
	<header <?php header_class(); ?> role="banner" itemscope="itemscope" itemtype="http://schema.org/WPHeader">
		<div class="container">
			<div class="row">
				<div class="col-md-3 col-xs-6">
					<div class="site-branding">
						<?php
						global $thememove_custom_logo;
						if ( $thememove_custom_logo ) {
							?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
								<img src="<?php echo esc_url($thememove_custom_logo); ?>" alt="logo"/>
							</a>
						<?php } else { ?>
							<?php if ( get_theme_mod( 'normal_logo_image', normal_logo_image ) ) { ?>
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
									<img src="<?php echo get_theme_mod( 'normal_logo_image', normal_logo_image ); ?>"
									     alt="logo"/>
								</a>
							<?php } else { ?>
								<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"
								                          rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php } ?>
						<?php } ?>
					</div>
				</div>
				<?php if ( get_theme_mod( 'header_search_enable', header_search_enable ) || get_theme_mod( 'header_cart_enable', header_cart_enable ) ) { ?>
					<?php $class = 'col-md-8 col-sm-8 col-xs-6 header__right'; ?>
				<?php } else { ?>
					<?php $class = 'col-md-9 col-sm-8 col-xs-6 header__right'; ?>
				<?php } ?>
				<div class="<?php echo esc_attr( $class ); ?>">
					<a href="#menu"><span class="menu-link"><i class="fas fa-bars"></i></span></a>
					<nav class="navigation" role="navigation">
						<?php Structure::top_menu(); ?>
					</nav>
					<!-- .site-navigation -->
				</div>
				<?php if ( get_theme_mod( 'header_search_enable', header_search_enable ) || get_theme_mod( 'header_cart_enable', header_cart_enable ) ) { ?>
					<div class="col-md-1 col-sm-1 hidden-xs">
						<?php if ( get_theme_mod( 'header_search_enable', header_search_enable ) ) { ?>
							<div class="search-box hidden-xs hidden-sm">
								<?php get_search_form(); ?>
								<i class="fas fa-search"></i>
							</div>
						<?php } ?>
						<?php if ( class_exists( 'WooCommerce' ) && get_theme_mod( 'header_cart_enable', header_cart_enable ) ) { ?>
							<div class="mini-cart">
								<?php echo thememove__minicart(); ?>
								<div class="widget_shopping_cart_content"></div>
							</div>
						<?php } ?>
					</div>
				<?php } ?>
			</div>
		</div>
	</header>

</div>
